RDKit: RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter Struct Reference

`#include <ROMol.h>`

## Public Types
using | iterator_category = std::forward_iterator_tag
using | difference_type = std::ptrdiff_t
using | value_type = Vertex
using | pointer = Vertex *
using | reference = Vertex &

## Public Member Functions
| CXXAtomIter (Graph *graph, Iterator pos)
reference | operator* ()
CXXAtomIter & | operator++ ()
bool | operator== (const CXXAtomIter &it) const
bool | operator!= (const CXXAtomIter &it) const

## Public Attributes
Graph * | graph
Iterator | pos
Atom * | current

## Detailed Description

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>
struct RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter

Definition at line 119 of file ROMol.h.

## Member Typedef Documentation

## ◆ difference_type

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::difference_type = std::ptrdiff_t

Definition at line 121 of file ROMol.h.

## ◆ iterator_category

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::iterator_category = std::forward_iterator_tag

Definition at line 120 of file ROMol.h.

## ◆ pointer

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pointer = Vertex *

Definition at line 123 of file ROMol.h.

## ◆ reference

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::reference = Vertex &

Definition at line 124 of file ROMol.h.

## ◆ value_type

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

using RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::value_type = Vertex

Definition at line 122 of file ROMol.h.

## Constructor & Destructor Documentation

## ◆ CXXAtomIter()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::CXXAtomIter | ( | Graph * | graph,
|  | Iterator | pos )
| inline

Definition at line 130 of file ROMol.h.

References current, graph, and pos.

Referenced by operator!=(), operator++(), and operator==().

## Member Function Documentation

## ◆ operator!=()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator!= | ( | const CXXAtomIter & | it | ) | const
| inline

Definition at line 142 of file ROMol.h.

References CXXAtomIter(), and pos.

## ◆ operator*()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

reference RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator* | ( |  | ) |
| inline

Definition at line 133 of file ROMol.h.

References current, and pos.

## ◆ operator++()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

CXXAtomIter & RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator++ | ( |  | ) |
| inline

Definition at line 137 of file ROMol.h.

References CXXAtomIter(), and pos.

## ◆ operator==()

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

bool RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::operator== | ( | const CXXAtomIter & | it | ) | const
| inline

Definition at line 141 of file ROMol.h.

References CXXAtomIter(), and pos.

## Member Data Documentation

## ◆ current

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Atom* RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::current

Definition at line 128 of file ROMol.h.

Referenced by CXXAtomIter(), and operator*().

## ◆ graph

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Graph* RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::graph

Definition at line 126 of file ROMol.h.

Referenced by CXXAtomIter().

## ◆ pos

template<class Graph, class Vertex, class Iterator = typename Graph::vertex_iterator>

Iterator RDKit::CXXAtomIterator< Graph, Vertex, Iterator >::CXXAtomIter::pos

Definition at line 127 of file ROMol.h.

Referenced by CXXAtomIter(), operator!=(), operator*(), operator++(), and operator==().

The documentation for this struct was generated from the following file:

- ROMol.h